/*
 * DMLib
 * -- PACK-file additional utility routines
 * Programmed and designed by Matti 'ccr' Hamalainen
 * (C) Copyright 2011 Tecnic Software productions (TNSP)
 */
#ifndef DMPACKUTIL_H
#define DMPACKUTIL_H
#include "dmpack.h"

DMPackEntry *  dmPackEntryCopy(const DMPackEntry *);
int            dmPackWrite(DMPackFile *);
int            dmPackCreate(const char *, DMPackFile **);
int            dmPackAddFile(DMPackFile *, const char *, BOOL, const Uint32 flags, DMPackEntry **);
int            dmPackExtractFile(DMPackFile *, DMPackEntry *);

#endif // DMPACKUTIL_H
